<?php
include_once("auth.inc");

icon();

function icon()
{
  global $path;
  global $photoroot;
  global $session;
  //print "icon({$path})<br>\n";

  $remove = "/icon";
  if(substr($path, 0, strlen($remove)) == $remove)
  {
    $path = substr($path, strlen($remove));
  }

  $allowed = auth_read("cat/{$path}", $session->user->name);
  $realpath = "{$photoroot}/cat{$path}";
  //print "Realpath: {$realpath}<br>\n";
  //if (! $allowed) { print "Access Denied.<br>\n"; }
  if (! $allowed) { header("Status: 403 Forbidden");  print "403 Forbidden"; }
  else{
    $done = 0;
    $df = dirfile("{$realpath}");
    if ($df)
    {
      //print "Found.\n";
      $df->read_mime();
      if(file_exists("{$realpath}/.icon"))
      {
	$mime = "image/jpeg";
	if(file_exists("{$realpath}/.icon.mimetype"))
	{
	  $foo = file("{$realpath}/.icon.mimetype");
	  $mime = trim($foo[0]);
	}
	$mypath = "{$realpath}/.icon";
	header("Content-Type: {$mime}");
	//$mtime = date("r", filemtime($mypath));
	$mtime = gmdate("D, d M Y H:i:s \G\M\T", filemtime($mypath));
	header("Last-Modified: {$mtime}");
	$length = filesize($mypath);
	header("Content-Length: {$length}");
	readfile($mypath);
	$done = 1;
      }
    }
    if (! $done)
    {
      //print "Not found.\n";
      $mypath = "gfx/icons/other.png";
      header("Content-Type: image/png");
      //$mtime = date("r", filemtime($mypath));
      $mtime = gmdate("D, d M Y H:i:s \G\M\T", filemtime($mypath));
      header("Last-Modified: {$mtime}");
      $length = filesize($mypath);
      header("Content-Length: {$length}");
      readfile($mypath);
    }
  }
}

?>
