<?php
function route()
{
  global $path;
  global $parts;

  $path = getpath();

  $parts = explode("/", $path);
  if($parts[0] == "") {array_shift($parts);}

  /*
  foreach ($parts as $p)
  {
    print "part: {$p}<br>\n";
  }
  */

  $c = substr($parts[0], 0, 1);
  //print "char: {$c}<br>\n";
  if($c == "_") {
    $path = "/" . substr($path, 2);

    // Call the appropriate code
    route_helper($parts[0]);
  } else { 
    include("browse.inc");
  }
}

function getpath()
{
  global $REQUEST_URI;
  global $photourl;

  $path = $REQUEST_URI;
  //print "Request: {$path}<br>\n";

  if(substr($path, 0, strlen($photourl)) == $photourl) {
    $path = substr($path, strlen($photourl));
  }
  $qpos = strpos($path, "?");
  if ($qpos) { $path = substr($path, 0, $qpos); }

  // Fix up the path here, so we can process it easier
  if (substr($path, 0, 1) != "/") { $path = "/{$path}"; }
  if (substr($path, -1) == "/") { $path = substr($path, 0, -1); }

  //print "Path: {$path}<br>\n";
  return $path;
}

function route_helper($p)
{
  #print "path: {$p}<br>\n";
  if($p == "_dl") { 
    include("php/dl.inc");
  }
  elseif($p == "_users") { 
    include("php/users.inc");
  }
  elseif($p == "_icon") { 
    include("php/icon.inc");
  }
  elseif($p == "_med") { 
    include("php/med.inc");
  }
  elseif($p == "_login") { 
    include("php/login.inc");
  }
  elseif($p == "_logout") { 
    include("php/logout.inc");
  }
  else {
    print "Error: bad route request.<br>\n";
  }
}
?>
