<?
class menu {
  var $text;
  var $url;
}

function menu($text="", $url="")
{
  $m = new menu;
  $m->text = $text;
  $m->url = $url;
  return $m;
}

function side_menu($menu, $depth=0)
{
  // draw the menu

  $first = 1;
  $last = 0;
  if(is_array($menu))
  {
    $len = sizeof($menu);
    if($len == 1)  $last = 1;

    if($depth == 0)
    {
      menu_start();
    }

    $num_items = sizeof($menu);
    for ($mnum=0; $mnum < $num_items; $mnum++)
    {
      if($mnum +1 >= $num_items)  $last=1;

      $m = $menu[$mnum];
      $m2 = 0;
      if($mnum + 1 < $num_items)
      $m2 = $menu[$mnum+1];

      if(is_array($m)) 
      {
	print "Error: two consecutive menu arrays<br>\n";
	//side_menu($m, $depth+1);
      }
      else
      {
	$type="";
	if($first)
	{
	  $type = "first";
	  if($last)  $type = "single";
	}
	elseif ($last)  $type = "last";
	menu_item_start($m, $depth, $type);
	if(is_array($m2)) 
	{
	  side_menu($m2, $depth+1);

	  menu_item_end($depth, $type);
	  $mnum ++;
	}
	else menu_item_end($depth, $type);
      }
      $first=0;
    }

    if($depth == 0)
    {
      menu_end();
    }
  }
  else
  {
    print "Error: menu not an array! ({$depth}, {$menu})<br>\n";
  }
}

$menu_border="#aaaafa";
$menu_fore="#444444";
$menu_back="#000044";

function menu_start()
{
  global $menu_border;
  global $menu_back;
  print "<!-- BEGIN SIDE MENU -->\n";
  print "<table border=0 cellpadding=2 cellspacing=0 bgcolor=\"{$menu_border}\"><tr><td>\n";
  print "<table border=0 cellpadding=0 cellspacing=0 bgcolor=\"{$menu_back}\"><tr><td>\n";
}

function menu_end()
{
  print "</td></tr></table>\n";
  print "</td></tr></table>\n";
  print "<!-- END SIDE MENU -->\n";
}

function menu_item_start($item, $depth, $type)
{
  global $menu_back;
  $start1 = array(
    "<table border=0 width=\"100%\" cellpadding=2 cellspacing=0 bgcolor=\"#004488\"><tr><td bgcolor=\"{$menu_back}\" nowrap><font size=\"+1\">",
    "<tr><td nowrap><font size=\"-1\">- ",
    "<font size=\"-3\">&nbsp;&nbsp;&nbsp;&nbsp;- ",
  );
  $start = array(
    "<tr><td><table border=0 width=\"100%\" cellpadding=2 cellspacing=0 bgcolor=\"#0088ff\"><tr><td nowrap>",
    "<font size=\"-1\">- ",
    "<font size=\"-3\">&nbsp;&nbsp;&nbsp;&nbsp;- ",
  );
  $end1 = array(
    "</font></td></tr>",
    "</font><br>",
    "</font><br>",
  );
  $end = array(
    "",
    "</font><br>",
    "</font><br>",
  );
  if($item->url)
    $linktext = "<a href=\"{$item->url}\">{$item->text}</a>";
    //$linktext = make_page($item->url, $item->text);
  else
    $linktext = $item->text;
  $itemtext = "{$depthstart[$depth]}{$linktext}{$depthend[$depth]}";
  /*
  if($depth >= 2)
  {
    global $SCRIPT_NAME;
    $dn = dirname($SCRIPT_NAME) . "/";
    $di = strrpos($dn, "/");
    $dn = substr($dn, 0, $di);
    $ln = substr($item->url, 0, strlen($dn));
    if($dn == "/") return;
    if(0 != strcmp($dn, $ln))
    {
      return;
    }
    //print "{$dn} == {$ln}<br>\n";
  }
  */
  if($type == "first"  or  $type == "single")
  {
    print "{$start1[$depth]}{$linktext}{$end1[$depth]}\n";
  }
  else
  {
    print "{$start[$depth]}{$linktext}{$end[$depth]}\n";
  }
}


function menu_item_end($depth, $type)
{
  $end1 = array(
    "</table>\n",
    "<br>",
    "",
  );
  $end = array(
    "</table></td></tr>\n",
    "",
    "",
  );
  if($type == "last"  or  $type == "single")
  {
    print "{$end1[$depth]}\n";
  }
  else
  {
    print "{$end[$depth]}\n";
  }
}

?>
